﻿  @using Microsoft.AspNetCore.Identity;
@using Microsoft.AspNetCore.Http;
@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser>   UserManager
@inject IHttpContextAccessor HttpContextAccessor

<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>

    <meta charset="utf-8">
    <link rel="apple-touch-icon" sizes="76x76" href="">
    <link rel="icon" type="image/png" href="">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title>پنل مشارکت لامینگو</title>

    <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport">
    <meta name="viewport" content="width=device-width">

    @*<link href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" rel="stylesheet">*@
    <link href="~/lib/font-awesome/css/font-awesome.css" rel="stylesheet" />
    <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Material+Icons">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

    <link href="https://kendo.cdn.telerik.com/2019.1.115/styles/kendo.common-material.min.css" rel="stylesheet" type="text/css" />
    <link href="https://kendo.cdn.telerik.com/2019.1.115/styles/kendo.mobile.all.min.css" rel="stylesheet" type="text/css" />
    <link href="https://kendo.cdn.telerik.com/2019.1.115/styles/kendo.material.min.css" rel="stylesheet" type="text/css" />
    <link href="~/ADMIN/Content/Kendo/Style/kendo.rtl.min.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Styles/bootstrap.min.css" rel="stylesheet" />
    <link href="~/affiliate/main.css" rel="stylesheet" />
    @*<link href="~/ADMIN/Content/Styles/demo.css" rel="stylesheet" />*@
    <link href="~/ADMIN/Content/Styles/custom.min.css" rel="stylesheet" />
    <link href="~/ADMIN/Content/Styles/persian-datepicker-0.4.5.css" rel="stylesheet" />
    @RenderSection("Styles", required: false)

    <script src="https://kendo.cdn.telerik.com/2019.1.115/js/jquery.min.js"></script>
    <script src="https://kendo.cdn.telerik.com/2019.1.115/js/jszip.min.js"></script>
    <script src="https://kendo.cdn.telerik.com/2019.1.115/js/kendo.all.min.js"></script>
    <script src="https://kendo.cdn.telerik.com/2019.1.115/js/kendo.aspnetmvc.min.js"></script>  
    <script src="~/ADMIN/Content/Kendo/js/kendo.fa-IR.js"></script>

    @RenderSection("script", required: false)
    <environment include="Development">   
    </environment>

    <environment exclude="Development">

    </environment>


</head>
<body cz-shortcut-listen="true">

    <div class="wrapper">
        <div class="sidebar" data-active-color="orange" data-background-color="black" data-image="" style="overflow-x:hidden;">

            <div class="logo">
                <a href="" class="simple-text logo-mini">
                    <img src="/logotype.png" style="height: 24px;">
                </a>
            </div>

            <div class="sidebar-wrapper ps-container ps-theme-default ps-active-y" data-ps-id="ad5e8a12-79b0-4cb2-c919-d5c4e15499c2" style="overflow:hidden;">
                <div class="user">
                    <div class="photo" style="margin-top:11px;">
                        <img src="~/ADMIN/Content/img/avatar.png">
                    </div>
                    <div class="info" style="margin-top: -7px;">
                        <a data-toggle="collapse" href="#collapseExample" class="collapsed">
                            <span>

                                @{
                                    if (User.Identity.IsAuthenticated)
                                    {
                                        var result = UserManager.FindByIdAsync(UserManager.GetUserId(HttpContextAccessor.HttpContext.User));

                                        if (!string.IsNullOrEmpty(result.Result.Email))
                                        {
                                            <span style="font-family:Tahoma; font-size:10px; letter-spacing:1.2px;">@result.Result.Email</span>
                                        }
                                    }

                                }

                                <b class="caret"></b>
                                <p style="margin-bottom:0;">نقش کاربر : <span style="font-weight:normal;">مدیر</span></p>
                            </span>
                        </a>

                        <div class="clearfix"></div>
                        <div class="collapse" id="collapseExample">
                            @{
                                if (User.Identity.IsAuthenticated)
                                {
                                    @Html.AntiForgeryToken()
                                    <ul class="nav">
                                        <li>
                                            <a href="#">
                                                <span class="sidebar-normal">پروفایل </span>
                                            </a>
                                        </li>
                                        <li>
                                            <form class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                                                <button style="background: black;border-color: black;margin-right: 15px;margin-top: 10px;color: white;" type="submit" class="sidebar-normal"> @*<i class="fa fa-sign-out"></i>*@ خروج از حساب</button>
                                            </form>
                                        </li>
                                    </ul>
                                }
                            }

                        </div>
                    </div>
                </div>
                <ul class="nav">

                    <panel-menu-item action="Home" current-url="@Context.Request.Path">
                        <a href="@Url.Action("Index","Home",new { area="Affiliate" })">
                            <i class="material-icons">dashboard</i>
                            <p> داشبورد </p>
                        </a>
                    </panel-menu-item>


                    <panel-menu-item action="Log" current-url="@Context.Request.Path">
                        <a class="nav-link" href="@Url.Action("List","Log",new { area="Affiliate" })">
                            <i class="fa fa-user"></i>
                            <p>گزارش درخواست ها</p>
                        </a>
                    </panel-menu-item>


                    <panel-menu-item action="AffiliateGroup" current-url="@Context.Request.Path">
                        <a class="nav-link" href="@Url.Action("List","AffiliateGroup", new { area="Affiliate" })">
                            <i class="fa fa-paper-plane"></i>
                            <p>قراردادها</p>
                        </a>
                    </panel-menu-item>


                    <panel-menu-item action="UserContract" current-url="@Context.Request.Path">
                        <a class="nav-link" href="@Url.Action("List","UserContract",new { area="Affiliate" })">
                            <i class="fa fa-list"></i>
                            <p>گزارش فروش</p>
                        </a>
                    </panel-menu-item>


                    <panel-menu-item action="AffiliateTransaction" current-url="@Context.Request.Path">
                        <a class="nav-link" href="@Url.Action("List","AffiliateTransaction", new { area="Affiliate" })">
                            <i class="fa fa-usd"></i>
                            <p>مالی</p>
                        </a>
                    </panel-menu-item>

                    @*<li>
                        <a class="nav-link" href="@Url.Action("List","UserContract", new { area="Affiliate" })">
                            <i class="fa fa-wrench"></i>
                            <p>تنظیمات</p>
                        </a>
                    </li>

                    <li>
                        <a class="nav-link" href="@Url.Action("List","Counselors", new { area="Affiliate" })">
                            <i class="fa fa-ticket"></i>
                            <p>پشتیبانی</p>
                        </a>
                    </li>*@

                    <li>
                        <a class="nav-link" href="@Url.Action("List","Subscription", new { area="Affiliate" })">
                            <i class="fa fa-exchange"></i>
                            <p>خروج</p>
                        </a>
                    </li>

                </ul>
            </div>

            <div class="sidebar-background"></div>
        </div>
        @RenderBody()
    </div>

    <environment include="Development">

    </environment>

    <script src="~/ADMIN/JS/perfect-scrollbar.jquery.min.js"></script>
    <script src="~/ADMIN/JS/bootstrap.min.js"></script>
    <script src="~/ADMIN/JS/popper.min.js"></script>
    <script src="~/ADMIN/JS/material.min.js"></script>
    <script src="~/ADMIN/JS/chartist.min.js"></script>
    <script src="~/ADMIN/JS/material-dashboard.js"></script>  
    <script src="~/ADMIN/JS/demo.js"></script>


    @RenderSection("scripts", required: false)

</body>
</html>
